MyEclipse Forums
This thread has been locked & this forum has been archived.
Please post new topics to Java EE Development (EJB, JSP, Struts, XDoclet, etc.)
View previous topic Printable version Log in to check your private messages View next topic
Author Message
bspindler
Post subject: Tomcat Deployment failing  PostPosted: Apr 06, 2012 - 11:50 AM
Veteran Member
Veteran Member


Joined: Jan 04, 2007
Posts: 5

Hi, we are using MyEclipse 10.1 with several projects in the workspace and our own version of Tomcat v6 to develop. Recently with the addition of an updated Groovy Eclipse plugin the deployments have been failing. When we deploy we get:

Deployment failure on Tomcat 6.x. Could not copy all resources to ...

I have found on other forum posts instructions to "Right click on Server and get 'View Deployment Info'" but this is not there for us. I have also looked at <workspace>/.metadata/.log and nothing jumps out.

Thanks.
 
 View user's profile Send private message  
Reply with quote Back to top
support-swapna
Post subject:   PostPosted: Apr 09, 2012 - 07:21 AM



Joined: Nov 11, 2010
Posts: 2499

bspindler ,

Sorry that you are seeing this issue.

Can you answer some more questions for us ?

1. Can you please share the installation details from MyEclipse > Installation Summary > Installation Details ? Paste them here for us.

2. Can you tell us what other third party plugins you have installed in addition to Groovy?

3. Can you recheck if the updated Groovy plugin version is compatible with Eclipse 3.7 which is the base version for MyEclipse 10.1 ?

4. Can you check if the projects deploy without any issues to MyEclipse Tomcat ?

5. Can you paste the entire message you are seeing when trying to deploy to Tomcat 6.x for us to investigate further?

_________________
Swapna
MyEclipse Support
 
 View user's profile Send private message  
Reply with quote Back to top
bspindler
Post subject:   PostPosted: Apr 10, 2012 - 04:51 PM
Veteran Member
Veteran Member


Joined: Jan 04, 2007
Posts: 5

Sure thing.

#1 -
*** Date:
Tuesday, April 10, 2012 11:43:25 AM EDT

*** System properties:
OS=Linux
OS version=3.0.0
OS arch=amd64
Profile arch=x86_64
Window system=gtk
Java version=1.6.0_13
Workspace=file:/home/user/tmp/myeclipse10/trunk/
VM Args=-Djava.library.path=/usr/lib/jni
-Xmx1524m
-XX:MaxPermSize=512m
-XX:ReservedCodeCacheSize=256m
-Dosgi.nls.warnings=ignore
-jar
/home/user/apps/MyEclipse/MyEclipse 10//../Common/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar



*** Subscription information
Your 30-day trial period expires on Apr 20, 2012

*** Eclipse details:
MyEclipse Enterprise Workbench

Version: 10.1
Build id: 10.1-20120316


Blueprint: MyEclipse 10

com.genuitec.myeclipse.editor - 10.1.0.me201203170059
com.genuitec.myeclipse.enterprise.workbench - 10.1.0.me201203170059
com.genuitec.myeclipse.pulse - 10.1.0.me201203170059
com.genuitec.myeclipse.tomcat - 10.1.0.me201203170059
org.eclipse.emf - 2.7.0.v20110606-0949
org.eclipse.gef - 3.7.0.v20110425-2050-777D-81B2Bz0685C3A6E34272
org.eclipse.graphiti.feature - 0.8.0.v20110607-1252
org.eclipse.jst.common.fproj.enablement.jdt - 3.3.0.me201203170059
org.eclipse.jst.enterprise_ui.feature - 3.3.0.me201203170059
org.eclipse.jst.server_adapters.ext.feature - 3.3.0.me201203170059
org.eclipse.jst.server_adapters.feature - 3.2.100.me201203170059
org.eclipse.jst.server_ui.feature - 3.3.0.me201203170059
org.eclipse.jst.ws.axis2tools.feature - 1.1.200.me201203170059
org.eclipse.wst.common.fproj - 3.3.0.me201203170059
org.eclipse.wst.server_adapters.feature - 3.2.100.me201203170059
org.eclipse.xsd - 2.7.0.v20110606-0949


com.google.gdt.eclipse.suite.e37.feature - 2.5.2.v201202290255-rel-r37
com.mountainminds.eclemma.feature - 2.1.0.201202261248
org.apache.ivyde.feature - 2.1.0.201008101807-RELEASE
org.codehaus.groovy.eclipse.feature - 2.6.1.xx-20120301-1000-e37-RELEASE
org.codehaus.groovy.headless.feature - 2.6.1.xx-20120301-1000-e37-RELEASE
org.codehaus.groovy.jdt.patch - 2.6.1.xx-20120301-1000-e37-RELEASE
org.codehaus.groovy17.feature - 2.6.1.xx-20120301-1000-e37-RELEASE
org.codehaus.groovy18.feature - 2.6.1.xx-20120301-1000-e37-RELEASE
org.eclipse.cvs - 1.3.100.v20110520-0800-7B78FHl9VF7BD7KBM4GP9C
org.eclipse.draw2d - 3.7.0.v20110425-2050-46-7w3122153603161
org.eclipse.equinox.p2.core.feature - 1.0.1.v20110906-1605-8290FZ9FVKHVRKtmx3fpNuo02129
org.eclipse.equinox.p2.extras.feature - 1.0.1.v20110906-1605-7A4FD4DiVOMap8cHSc6vPuny4gqO
org.eclipse.equinox.p2.rcp.feature - 1.0.1.v20110906-1605-782EqBqNKGVkiV-PUsgz-uny4gqO
org.eclipse.equinox.p2.user.ui - 2.1.2.R37x_v20110815-1155-6-Bk8pYWZz0qUTX5I15GZWwbXkrl
org.eclipse.help - 1.3.0.v20110530-0844-7i7uFFmFFl8nvqbDpEqTvx
org.eclipse.jdt - 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1
org.eclipse.pde - 3.7.2.v20120120-1420-7b7rFUOFEx2Xnqafnpz0E--0
org.eclipse.platform - 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q
org.eclipse.rcp - 3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272
org.tigris.subversion.clientadapter.feature - 1.6.12
org.tigris.subversion.clientadapter.javahl.feature - 1.6.17
org.tigris.subversion.subclipse - 1.6.18
org.tigris.subversion.subclipse.graph.feature - 1.0.9


Eclipse startup command=-data
/home/user/tmp/myeclipse10/trunk
-os
linux
-ws
gtk
-arch
x86_64
-showsplash
-launcher
/home/user/apps/MyEclipse/MyEclipse 10/myeclipse
-name
Myeclipse
--launcher.library
/home/user/apps/MyEclipse/MyEclipse 10//../Common/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.100.v20110505/eclipse_1407.so
-startup
/home/user/apps/MyEclipse/MyEclipse 10//../Common/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
--launcher.overrideVmargs
-exitdata
338006
-install
/home/user/apps/MyEclipse/MyEclipse 10
-configuration
/home/user/apps/MyEclipse/MyEclipse 10/configuration
-vm
/home/user/apps/MyEclipse/Common/binary/com.sun.java.jdk.linux.x86_64_1.6.0.013/bin/java

#2 - See screenshot attached.
#3 - I installed the 3.7 version from here: http://groovy.codehaus.org/Eclipse+Plugin
#4 - They also fail with MyEclipse Tomcat
#5 - attached screenshot since I couldn't copy output for some reason
 
 View user's profile Send private message  
Reply with quote Back to top
Support-Brian
Post subject:   PostPosted: Apr 11, 2012 - 08:49 AM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2585

bspindler,

I assume you are trying to deploy a simple web project.

1) Does this web project use Groovy in any way? Are there Groovy builders added to the project? (Could you paste the .classpath and .project files here please)

2) Did you always have a Groovy plugin installed - and these issues started only after you updated the plugin to the new version or is this the first time you have the plugin installed.

3) Can you create a new simple web project and try to deploy this instead? Do you have similar problems with this project too?

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
bspindler
Post subject:   PostPosted: Apr 11, 2012 - 03:08 PM
Veteran Member
Veteran Member


Joined: Jan 04, 2007
Posts: 5

The application I'm working with is not a simple webapp however I was able to reproduce with a simple scenario:

1. create a java project that has groovy nature
2. create a web project that depends on that groovy project created in #1
3. attempt to deploy, you will get the error.
 
 View user's profile Send private message  
Reply with quote Back to top
bspindler
Post subject:   PostPosted: Apr 11, 2012 - 03:12 PM
Veteran Member
Veteran Member


Joined: Jan 04, 2007
Posts: 5

Interesting, it seems that if I right click on the groovy project, select Groovy menu item and click "Remove DSL Support", the problem goes away. Hope that helps.
 
 View user's profile Send private message  
Reply with quote Back to top
Support-Brian
Post subject:   PostPosted: Apr 11, 2012 - 03:22 PM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2585

Interesting, so:
a) If the Java project does not have the groovy nature, the problem cannot be reproduced. Correct?
b) If (a) is confirmed, then I assume that if you uninstall the Groovy plugin, the problem goes away?
c) Could you please respond to question (2) from my previous post?

I will ask the dev team to try and reproduce tomorrow and see if we can suggest a workaround. Top-off this would appear to be a problem with the Groovy plugin (or the new Groovy plugin) locking files and preventing them from being copied, but I cannot say for sure until we investigate further.

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
bspindler
Post subject:   PostPosted: Apr 11, 2012 - 04:09 PM
Veteran Member
Veteran Member


Joined: Jan 04, 2007
Posts: 5

a. correct. but please keep in mind that I've narrowed it down to the DSL support in the groovy plugin which seems to be causing the issue.
b. correct.
c. I've always had the groovy plugin installed, it was only as of MyEclipse v10.1 and the latest groovy plugin that the issue surfaced.
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 6 Hours
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2004 The PNphpBB Group
Credits